質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.65%

Rmagickを導入後rails sができなくなりました。

受付中

回答 0

投稿

  • 評価
  • クリップ 1
  • VIEW 223

patatachan46

score 4

前提・実現したいこと

画像のリサイズ
rails 5.2.3
ruby 2.5.3

ここに質問の内容を詳しく書いてください。

当方railsを学習中の初心者です。現在趣味のアプリを作っており画像表示をさせる時にリサイズをしたくて、
gem 'rmagick'でrmagickをインストールしました。
するとrails sでサーバーが起動できなくなってしまいました。
色々と調べてやって見たのですが解決できずにいます。
ご助力いただけると助かります。

どうぞよろしくお願いいたします。

発生している問題・エラーメッセージ

エラーメッセージ

/Users/username/Desktop/machome/vendor/bundle/ruby/2.5.0/gems/bootsnap-1.4.4/lib/bootsnap/load_path_cache/core_ext/active_support.rb:60:in `block in load_missing_constant': uninitialized constant RMag ick  (NameError)

該当のソースコード

source 'https://rubygems.org'
git_source(:github) { |repo| "https://github.com/#{repo}.git" }

# ruby '2.5.3'


gem 'rails', '~> 5.2.3'
gem 'carrierwave'
gem 'rmagick'
gem 'mini_magick'
gem 'gravtastic'
gem 'pry-rails'
gem 'jquery-turbolinks'
gem 'will_paginate'
gem 'bootstrap-will_paginate'
gem 'devise'
gem 'devise-i18n'
gem 'devise-i18n-views'
gem 'omniauth'
gem 'omniauth-facebook'
gem 'omniauth-twitter'
gem 'awesome_print'
gem 'rails-erd'
gem 'sqlite3'
gem 'puma', '~> 3.11'
gem 'sass-rails', '~> 5.0'
gem 'bootstrap', '~> 4.1.1'
gem 'jquery-rails'
gem 'uglifier', '>= 1.3.0'
gem 'coffee-rails', '~> 4.2'
gem 'turbolinks', '~> 5'
gem 'jbuilder', '~> 2.5'
gem 'bootsnap', '>= 1.1.0', require: false

group :development, :test do
  gem 'byebug', platforms: [:mri, :mingw, :x64_mingw]
  gem 'hirb'
  gem 'hirb-unicode'
  gem 'better_errors'
  gem 'binding_of_caller'
end

group :development do
  gem 'web-console', '>= 3.3.0'
  gem 'listen', '>= 3.0.5', '< 3.2'
  gem 'spring'
  gem 'spring-watcher-listen', '~> 2.0.0'
end

group :test do
  gem 'capybara', '>= 2.15'
  gem 'selenium-webdriver'
  gem 'chromedriver-helper'
end

gem 'tzinfo-data', platforms: [:mingw, :mswin, :x64_mingw, :jruby]

試したこと

rmagickのアンインストールと再インストール。
imagemagic7からimagemagick6へのバージョンを落とす。

補足情報(FW/ツールのバージョンなど)

ここにより詳細な情報を記載してください。
rails 5.2.3
ruby 2.5.3

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正の依頼

  • CHERRY

    2019/06/11 11:42

    Gemfile に ` gem 'rmagick' ` を追加した後の` bundle install ` 実行時にエラーは出ていないでしょうか?

    キャンセル

  • patatachan46

    2019/06/11 12:54

    ご回答ありがとうございます。
    bundle installを実行時にはエラー出ずに通ります。
    gem listにもUsing rmagick 3.1.0と表示されている状態です。

    キャンセル

  • patatachan46

    2019/06/11 12:55

    またbin/rails sなども試してみたのですが効果はありませんでした。

    キャンセル

まだ回答がついていません

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.65%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる